summaryrefslogtreecommitdiff
path: root/scripts/check-cxx11abi.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/check-cxx11abi.sh')
-rwxr-xr-xscripts/check-cxx11abi.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/scripts/check-cxx11abi.sh b/scripts/check-cxx11abi.sh
index c543e52cb6..c6fd9258c5 100755
--- a/scripts/check-cxx11abi.sh
+++ b/scripts/check-cxx11abi.sh
@@ -3,7 +3,9 @@
set -e
set -o pipefail
-if [ ! `uname -s` = 'Linux' ]; then
+if ! [ `uname -s` = 'Linux' ] || \
+ ! command -v readelf > /dev/null || \
+ ! command -v c++filt > /dev/null; then
echo -n "OFF"
exit 0
fi